com.amazonaws.services.cloudfront.model

## Class CloudFrontOriginAccessIdentityConfig

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.CloudFrontOriginAccessIdentityConfig

All Implemented Interfaces:
  Serializable, Cloneable

    public class CloudFrontOriginAccessIdentityConfig
    extends Object
    implements Serializable, Cloneable

Origin access identity configuration. Send a `GET` request to the `/CloudFront API version/CloudFront/identity ID/config` resource.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CloudFrontOriginAccessIdentityConfig()` Default constructor for CloudFrontOriginAccessIdentityConfig object.
`CloudFrontOriginAccessIdentityConfig(String callerReference)` Constructs a new CloudFrontOriginAccessIdentityConfig object.

### Method Summary

All Methods Instance Methods Concrete Methods
`CloudFrontOriginAccessIdentityConfig` `clone()`
`boolean` `equals(Object obj)`
`String` `getCallerReference()` A unique number that ensures the request can't be replayed.
`String` `getComment()` Any comments you want to include about the origin access identity.
`int` `hashCode()`
`void` `setCallerReference(String callerReference)` A unique number that ensures the request can't be replayed.
`void` `setComment(String comment)` Any comments you want to include about the origin access identity.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CloudFrontOriginAccessIdentityConfig` `withCallerReference(String callerReference)` A unique number that ensures the request can't be replayed.
`CloudFrontOriginAccessIdentityConfig` `withComment(String comment)` Any comments you want to include about the origin access identity.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloudFrontOriginAccessIdentityConfig

    public CloudFrontOriginAccessIdentityConfig()

Default constructor for CloudFrontOriginAccessIdentityConfig object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### CloudFrontOriginAccessIdentityConfig

    public CloudFrontOriginAccessIdentityConfig(String callerReference)

Constructs a new CloudFrontOriginAccessIdentityConfig object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `callerReference` - A unique number that ensures the request can't be replayed.

  If the `CallerReference` is new (no matter the content of the `CloudFrontOriginAccessIdentityConfig` object), a new origin access identity is created.

  If the `CallerReference` is a value already sent in a previous identity request, and the content of the `CloudFrontOriginAccessIdentityConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request.

  If the `CallerReference` is a value you already sent in a previous request to create an identity, but the content of the `CloudFrontOriginAccessIdentityConfig` is different from the original request, CloudFront returns a `CloudFrontOriginAccessIdentityAlreadyExists` error.

### Method Detail

#### setCallerReference

    public void setCallerReference(String callerReference)

A unique number that ensures the request can't be replayed.

If the `CallerReference` is new (no matter the content of the `CloudFrontOriginAccessIdentityConfig` object), a new origin access identity is created.

If the `CallerReference` is a value already sent in a previous identity request, and the content of the `CloudFrontOriginAccessIdentityConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request.

If the `CallerReference` is a value you already sent in a previous request to create an identity, but the content of the `CloudFrontOriginAccessIdentityConfig` is different from the original request, CloudFront returns a `CloudFrontOriginAccessIdentityAlreadyExists` error.

Parameters:
  `callerReference` - A unique number that ensures the request can't be replayed.

  If the `CallerReference` is new (no matter the content of the `CloudFrontOriginAccessIdentityConfig` object), a new origin access identity is created.

  If the `CallerReference` is a value already sent in a previous identity request, and the content of the `CloudFrontOriginAccessIdentityConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request.

  If the `CallerReference` is a value you already sent in a previous request to create an identity, but the content of the `CloudFrontOriginAccessIdentityConfig` is different from the original request, CloudFront returns a `CloudFrontOriginAccessIdentityAlreadyExists` error.

#### getCallerReference

    public String getCallerReference()

A unique number that ensures the request can't be replayed.

If the `CallerReference` is new (no matter the content of the `CloudFrontOriginAccessIdentityConfig` object), a new origin access identity is created.

If the `CallerReference` is a value already sent in a previous identity request, and the content of the `CloudFrontOriginAccessIdentityConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request.

If the `CallerReference` is a value you already sent in a previous request to create an identity, but the content of the `CloudFrontOriginAccessIdentityConfig` is different from the original request, CloudFront returns a `CloudFrontOriginAccessIdentityAlreadyExists` error.

Returns:
  A unique number that ensures the request can't be replayed.

  If the `CallerReference` is new (no matter the content of the `CloudFrontOriginAccessIdentityConfig` object), a new origin access identity is created.

  If the `CallerReference` is a value already sent in a previous identity request, and the content of the `CloudFrontOriginAccessIdentityConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request.

  If the `CallerReference` is a value you already sent in a previous request to create an identity, but the content of the `CloudFrontOriginAccessIdentityConfig` is different from the original request, CloudFront returns a `CloudFrontOriginAccessIdentityAlreadyExists` error.

#### withCallerReference

    public CloudFrontOriginAccessIdentityConfig withCallerReference(String callerReference)

A unique number that ensures the request can't be replayed.

If the `CallerReference` is new (no matter the content of the `CloudFrontOriginAccessIdentityConfig` object), a new origin access identity is created.

If the `CallerReference` is a value already sent in a previous identity request, and the content of the `CloudFrontOriginAccessIdentityConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request.

If the `CallerReference` is a value you already sent in a previous request to create an identity, but the content of the `CloudFrontOriginAccessIdentityConfig` is different from the original request, CloudFront returns a `CloudFrontOriginAccessIdentityAlreadyExists` error.

Parameters:
  `callerReference` - A unique number that ensures the request can't be replayed.

  If the `CallerReference` is new (no matter the content of the `CloudFrontOriginAccessIdentityConfig` object), a new origin access identity is created.

  If the `CallerReference` is a value already sent in a previous identity request, and the content of the `CloudFrontOriginAccessIdentityConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request.

  If the `CallerReference` is a value you already sent in a previous request to create an identity, but the content of the `CloudFrontOriginAccessIdentityConfig` is different from the original request, CloudFront returns a `CloudFrontOriginAccessIdentityAlreadyExists` error.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComment

    public void setComment(String comment)

Any comments you want to include about the origin access identity.

Parameters:
  `comment` - Any comments you want to include about the origin access identity.

#### getComment

    public String getComment()

Any comments you want to include about the origin access identity.

Returns:
  Any comments you want to include about the origin access identity.

#### withComment

    public CloudFrontOriginAccessIdentityConfig withComment(String comment)

Any comments you want to include about the origin access identity.

Parameters:
  `comment` - Any comments you want to include about the origin access identity.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CloudFrontOriginAccessIdentityConfig clone()

Overrides:
  `clone` in class `Object`